Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#71577 - nvidia-lts 470 module not loading

Attached to Project: Arch Linux
Opened by Mohammad Hasan Keramat J (ikeramat) - Wednesday, 21 July 2021, 22:30 GMT
Last edited by Sven-Hendrik Haase (Svenstaro) - Thursday, 22 July 2021, 15:47 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Sven-Hendrik Haase (Svenstaro)
Architecture x86_64
Severity Critical
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
nvidia-lts module not loading with mkinitcpio

Additional info:
* package version(s)
* config and/or log files etc.
* link to upstream bug report, if any

Steps to reproduce:
today i updated nvidia-lts to version 470 (it was fine and working before.) and i saw intel gpu loaded in settings => info. i tried to open nvidia-settings and nothing opened.
then i through maybe pacman hook not worked and i should run mkinitcpio myself, then i faced this:
==> ERROR: module not found: `nvidia'
==> ERROR: module not found: `nvidia_modeset'
==> ERROR: module not found: `nvidia_uvm'
==> ERROR: module not found: `nvidia_drm'


version of nvidia packages:
Name : nvidia-lts
Version : 1:470.57.02-2
Description : NVIDIA drivers for linux-lts
Architecture : x86_64
URL : https://www.nvidia.com/
Licenses : custom
Groups : None
Provides : NVIDIA-MODULE
Depends On : linux-lts nvidia-utils=470.57.02 libglvnd
Optional Deps : None
Required By : None
Optional For : None
Conflicts With : None
Replaces : None
Installed Size : 23.53 MiB
Packager : Andreas Radke <andyrtr@archlinux.org>
Build Date : Tue Jul 20 21:43:21 2021
Install Date : Wed Jul 21 12:34:30 2021
Install Reason : Explicitly installed
Install Script : No
Validated By : Signature

Name : nvidia-settings
Version : 470.57.02-1
Description : Tool for configuring the NVIDIA graphics driver
Architecture : x86_64
URL : https://github.com/NVIDIA/nvidia-settings
Licenses : GPL2
Groups : None
Provides : None
Depends On : jansson gtk3 libxv libvdpau nvidia-utils libxnvctrl
Optional Deps : None
Required By : None
Optional For : nvidia-utils
Conflicts With : None
Replaces : None
Installed Size : 1608.08 KiB
Packager : Sven-Hendrik Haase <svenstaro@gmail.com>
Build Date : Tue Jul 20 17:48:56 2021
Install Date : Wed Jul 21 12:34:30 2021
Install Reason : Explicitly installed
Install Script : No
Validated By : Signature

Name : nvidia-utils
Version : 470.57.02-1
Description : NVIDIA drivers utilities
Architecture : x86_64
URL : http://www.nvidia.com/
Licenses : custom
Groups : None
Provides : vulkan-driver opengl-driver nvidia-libgl
Depends On : xorg-server libglvnd egl-wayland
Optional Deps : nvidia-settings: configuration tool [installed]
xorg-server-devel: nvidia-xconfig [installed]
opencl-nvidia: OpenCL support [installed]
Required By : lib32-nvidia-utils libglvnd nvidia-lts nvidia-settings
steam
Optional For : ffmpeg gst-plugins-bad vulkan-icd-loader
Conflicts With : nvidia-libgl
Replaces : nvidia-libgl
Installed Size : 414.42 MiB
Packager : Sven-Hendrik Haase <svenstaro@gmail.com>
Build Date : Tue Jul 20 17:41:55 2021
Install Date : Wed Jul 21 12:34:21 2021
Install Reason : Explicitly installed
Install Script : Yes
Validated By : Signature

This task depends upon

Closed by  Sven-Hendrik Haase (Svenstaro)
Thursday, 22 July 2021, 15:47 GMT
Reason for closing:  Fixed
Comment by Sven-Hendrik Haase (Svenstaro) - Wednesday, 21 July 2021, 22:37 GMT
Post pacman -Qi linux-lts and uname -a
Comment by Mohammad Hasan Keramat J (ikeramat) - Wednesday, 21 July 2021, 22:39 GMT
pacman -Qi linux-lts :
Name : linux-lts
Version : 5.10.51-1
Description : The LTS Linux kernel and modules
Architecture : x86_64
URL : https://www.kernel.org/
Licenses : GPL2
Groups : None
Provides : VIRTUALBOX-GUEST-MODULES WIREGUARD-MODULE
Depends On : coreutils kmod initramfs
Optional Deps : crda: to set the correct wireless channels of your country
linux-firmware: firmware images needed for some devices
[installed]
Required By : nvidia-lts
Optional For : None
Conflicts With : None
Replaces : wireguard-lts
Installed Size : 79.27 MiB
Packager : Andreas Radke <andyrtr@archlinux.org>
Build Date : Mon Jul 19 13:06:20 2021
Install Date : Wed Jul 21 12:34:26 2021
Install Reason : Explicitly installed
Install Script : No
Validated By : Signature

uname -a:
Linux ikeramat-lappy 5.10.51-1-lts #1 SMP Mon, 19 Jul 2021 08:36:20 +0000 x86_64 GNU/Linux


Comment by Sven-Hendrik Haase (Svenstaro) - Thursday, 22 July 2021, 14:46 GMT
Can't reproduce. Need more information. Are you quite sure that this is a packaging bug?
Comment by Mohammad Hasan Keramat J (ikeramat) - Thursday, 22 July 2021, 14:54 GMT
I'm sure it was working fine before. And if you want more information like dmesg or something else just tell me.
Comment by Mohammad Hasan Keramat J (ikeramat) - Thursday, 22 July 2021, 15:15 GMT
Today i tried to update packages and i saw there is update for nvidia things and linux-lts and after update seems it's working fine :)
Thank you so much
Comment by loqs (loqs) - Thursday, 22 July 2021, 15:32 GMT
nvidia-lts 1:470.57.02-1 was for linux-lts 5.10.51-1
nvidia-lts 1:470.57.02-2 and nvidia-lts 1:470.57.02-3 for linux-lts 5.10.52-1

nvidia-lts 1:470.57.02-2 would not be loadable by linux-lts 5.10.51-1

Possibly a mirror issue that self corrected.

Loading...